/* CSS RESET  */
/* .container, header, footer, main, section, div, p, article, form{
    content-visibility: auto;
} */
*{
    margin: 0;
    padding: 0;
}
html{
    scroll-behavior: smooth;
}
.one{
    height: 80px;
}

/* Css Variables */
:root{
   --navbar-height:59px 
}
/* --------------------------------------------------------- */
/* Navigation Bar  */
#navbar{
    display: flex;
    align-items: center;
    position: sticky;
    top: 0px;
}

/* Navigation Bar: Logo and Image  */
#logo{
    margin: 15px 15px;
}
#logo img{
    margin: 20px;
    border-radius: 50%;
}

/* Navigation Bar:List Styling */
#navbar ul{
    display: flex;
}
#navbar::before{
    content: "";
    background-color: black;
    position: absolute;
    top: 0px;
    left: 0px;
    height: 100%;
    width: 100%;
    z-index: -1;
    opacity: 0.4;
}
#navbar ul li{
    list-style: none;
    font-size: 1.3rem;
}
#navbar ul li a{
    color: white;
    display: block;
    padding:3px 20px ;
    border-radius: 20px;
    text-decoration: none;
}
#navbar ul li a:hover{
    color: black;
    background-color: white;
}

/* ------------------------------------------------------------- */
/* Home Section  */
#home{
    display: flex;
    flex-direction: column;
    padding: 3px 200px;
    height: 605px;
    align-items: center;
    justify-content: center;
}
#home::before{
    content:"";
    position: absolute;
    background: url('../img/bgs.jpg') no-repeat center center/cover;
    filter: blur(2px);
    top: 0px;
    left: 0px;
    height: 725px;
    width: 100%;
    z-index: -1;
    opacity: 0.9;
}
#home h1{
    color: white;
    text-align: center;
    text-shadow: 2px 2px 4px black;
}
#home p{
    color: white;
    text-align: center;
    font-size: 1.5rem;
}

/* -------------------------------------------------------------- */
/* for single page  */
#services-contain{
    height: 100vh;
}

/* Services Section  */
#services{
    margin: 5px 5px;
    display: flex;
    align-items: center;
    justify-content: center;
}


.box{
    /* width: auto; */
    display: flex;
    align-items: center;
    text-align: center;
    box-shadow: 0 0 8px red;
    padding: 30px;
    margin: 5px 10px;
    border-radius: 23px;
    background-color: rgb(236, 240, 240);
}
.box img{
    height: 150px;
    margin: auto;
    display: block;
    transition: transform 0.3s;

}
.box:hover img {
    transform: scale(1.1); /* Increase the size of the image by 10% on hover */
}

#form{
    margin: 5px 5px;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 170vh;
    flex-direction: column;
}
.formbox{
    box-shadow: 0 0 10px red;
    padding: 35px;
    margin: 5px;
    border-radius: 22px;
    background-color: rgb(236, 240, 240);
}
.formbox img{
    height: 800px;
    margin: auto;
    display: block;
    transition: transform 0.3s;
}
.formbox:hover img {
    transform: scale(1.1); /* Increase the size of the image by 10% on hover */
}

.download{
    display: flex;
    justify-content: center;
    align-items: center;
}
.download-btn{
    background-color: DodgerBlue;
    color: white;
    padding: 10px;
    margin: 10px;
    font-size: 2rem;
    text-decoration: none;
    border-radius:10px;
}

.download-btn:hover {
    background-color: RoyalBlue;
}
/* ------------------------------------------------------------- */
/*Scheme section*/
#scheme-contain{
    height: 100vh;
}
#scheme{
    margin: 5px 5px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.schemebox{
    /* width: auto; */
    display: flex;
    align-items: center;
    text-align: center;
    box-shadow: 0 0 8px red;
    padding: 30px;
    margin: 5px 10px;
    border-radius: 23px;
    background-color: rgb(236, 240, 240);
}
.schemeboxver{
    /* width: auto; */
    display: flex;
    align-items: center;
    text-align: center;
    box-shadow: 0 0 8px red;
    padding: 30px;
    margin: 5px 10px;
    border-radius: 23px;
    background-color: rgb(236, 240, 240);
}
.schemeboxver img{
    height: 500px;
    margin: auto;
    display: block;
    transition: transform 0.3s;
}
.schemebox img{
    height: 400px;
    margin: auto;
    display: block;
    transition: transform 0.3s;
}
.schemeboxver:hover img {
    transform: scale(1.1); /* Increase the size of the image by 10% on hover */
}
.schemebox:hover img {
    transform: scale(1.1); /* Increase the size of the image by 10% on hover */
}

/* -------------------------------------------------------------- */
/* About us section  */
#about-contain{
    height: 100vh;
}
.about-container {
    max-width: 600px;
    margin: 0 auto;
    padding: 20px;
    background-color: #fff;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
}

/* ------------------------------------------------------------- */
/*Committe section*/
/* same as service */
#committee-section{
    height: 100vh;
}

/* ------------------------------------------------------------- */
/* Contact Section  */
#contact-contain{
    height: 100vh;
}
.contact-container {
    max-width: 600px;
    margin: 0 auto;
    padding: 20px;
    background-color: #fff;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
}

h1 {
    text-align: center;
}

h2 {
    color: #333;
}

.office-info, .contact-details {
    margin-bottom: 20px;
    padding-bottom: 10px;
    border-bottom: 1px solid #ccc;
}

.contact-details p:last-child {
    margin-bottom: 0;
}

/* ------------------------------------------------------------- */
/* footer  */
footer{
    background-color: black;
    color: white;
    padding: 5px 20px ;
}

/* -------------------------------------------------------------- */
/* Utility classes */
.primary{
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-size: 3rem;
    padding: 12px ;
}
.secondary{
    font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
    font-size: 1.8rem;
    padding: 12px;
    text-align: center;
}
.btn{
    margin: 20px;
    padding: 6px 20px;
    background-color: grey;
    border: 2px solid silver;
    border-radius: 10px;
    cursor: pointer;
}
.center{
    text-align: center;
}
.primary-center{
    text-align: center;
    font-size: 3rem;
}
